Summary:	kill stale ftp processes
Name:		kill-stale-ftp
Version:	1.0.0
Release:	3
Copyright:	LCG License
Packager:	LCG
Vendor:		LCG
Group:		grid/lcg
Prefix:		/
URL:		http://lcg.web.cern.ch/LCG/
Source:		kill-stale-ftp-1.0.0-3.tar
BuildRoot:	%{_tmppath}/%{name}-root
BuildArch:      noarch

%description
This rpm provides a script to kill GridFTP server processes that are
not owned by root and have been around longer than a configurable
grace period, by default 1 hour.  Such processes can be left behind
when a remote client is in bad shape or when an intermediary network
device did not propagate a request to close the connection.
The script is run every 10 minutes by a cron job.
A "-n" option can be used for a dry run.
The log file shows each process that was killed along with the state
and remote end of the client socket (if any).
A logrotate entry keeps and compresses log files for the last 30 days.

#
# Prep
#
%prep
%setup -c

#
# Build
#
%build

#
# Install
#
%install

mkdir -p $RPM_BUILD_ROOT%{prefix}
tar cf - . | (cd $RPM_BUILD_ROOT%{prefix} && gtar xfBp -)
cd $RPM_BUILD_ROOT%{prefix}
DEST=./opt/glite
mkdir -p $DEST/etc $DEST/sbin
mv  etc/kill-stale-ftp.conf $DEST/etc
mv sbin/kill-stale-ftp.sh   $DEST/sbin

#
# Clean
#
%clean

rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{prefix}/etc/cron.d/kill-stale-ftp.cron
%{prefix}/etc/logrotate.d/kill-stale-ftp
%config(noreplace) %{prefix}/opt/glite/etc/kill-stale-ftp.conf
%{prefix}/opt/glite/sbin/kill-stale-ftp.sh
